from qt import *
from agenteGui import *
import sys

if __name__ == "__main__":
        app = QApplication(sys.argv)
        agente = agenteGui()
        
	# Habilita todos objetos da interface grafica
	def habilitarTodosObjetos():
		agente.identificacao.setEnabled(1)
		agente.mac_address_1.setEnabled(1)
		agente.hardware.setEnabled(1)
		agente.tabs.setEnabled(1)
		agente.processador.setEnabled(1)
		agente.memoria_ram.setEnabled(1)
		agente.disco_rigido.setEnabled(1)
		agente.disquete.setEnabled(1)
		agente.drive_adicional.setEnabled(1)
		agente.rede.setEnabled(1)
		agente.rede_sem_fio.setEnabled(1)
		agente.fabricante.setEnabled(1)
		agente.numero_serial.setEnabled(1)
		agente.modelo.setEnabled(1)
		agente.identificacao.setFocus()
	
	# Adiciona um novo agente
	def adicionar():
		habilitarTodosObjetos()
		agente.botaoAdicionar.setText(QString("&Salvar"))
		
	agente.connect(agente.botaoAdicionar, SIGNAL('clicked()'), adicionar)
		
	agente.show()
        app.setMainWidget(agente)
        app.exec_loop()